import factory
import pytest

from ..models import Organization


@pytest.mark.django_db
class OrganizationFactory(factory.django.DjangoModelFactory):
    name = "Organisation Test"

    @factory.post_generation
    def activities(self, create, extracted, **kwargs):
        for activity in extracted:
            self.activity.add(activity)

    @factory.post_generation
    def inhabitant(self, create, extracted, **kwargs):
        self.inhabitant = extracted

    city = "Ville test"
    description = "<p>Une description de l'organisation."
    phone = "+33 3 21 00 00 00"
    email = "email@example.com"
    address = "1 avenue Test 22222 VILLE-TEST"

    class Meta:
        model = Organization
