from django.views.generic import ListView

from .models import Organization


class OrganizationListView(ListView):
    model = Organization
    paginate_by = 20

    def get_queryset(self):
        return Organization.objects.all()


class InhabitantOrganizationListView(OrganizationListView):
    def get_queryset(self):
        """Ne retourne que les habitants du Toit Commun."""
        return super().get_queryset().filter(inhabitant=True)
