from wagtail.core.blocks import StreamBlock

from wagtail_cblocks.blocks import (
    ButtonBlock,
    ColumnsBlock,
    HeadingBlock,
    ImageBlock,
    ParagraphBlock,
)


class ContentBlock(StreamBlock):
    title_block = HeadingBlock()
    paragraph_block = ParagraphBlock()
    button_block = ButtonBlock()
    image_block = ImageBlock()


class SectionBlock(ContentBlock):
    columns_block = ColumnsBlock(ContentBlock())

    class Meta:
        label = "Section de page"
        icon = "doc-full"
        template = "blocks/section_block.html"


class BodyBlock(StreamBlock):
    section_block = SectionBlock()
